import generateManifest from '../controllers/manifest.mjs';
import generateCanvas from '../controllers/canvas.mjs';
import express from 'express';

let router = express.Router();

/* GET manifest JSON */
router.get('/iiif/:manifestid/manifest', async function(req, res) {
	const manifest = await generateManifest(req.params.manifestid)
	res.set('Access-Control-Allow-Origin', '*');
	res.json(manifest);
});

/* GET manifest JSON */
router.get('/iiif/:manifestid/canvas/:name', async function(req, res) {
	const canvas = await generateCanvas(req.params.manifestid, req.params.name)
	res.set('Access-Control-Allow-Origin', '*');
	res.json(canvas);
});

export default router;
